# XQilla Simple API Documentation

# AutoVariableStoreReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoVariableStoreReset (DynamicContext *context, const VariableStore *store=0)
| ~AutoVariableStoreReset ()
void | reset ()

## Protected Attributes

DynamicContext * | context_
const VariableStore * | _oldVarStore

## Constructor & Destructor Documentation

AutoVariableStoreReset::AutoVariableStoreReset | ( | DynamicContext * | context,
|  | const VariableStore * | store = `0` |
| ) |  |  | `[inline]`

References DynamicContext::getVariableStore().

AutoVariableStoreReset::~AutoVariableStoreReset | ( |  | ) | `[inline]`

## Member Function Documentation

void AutoVariableStoreReset::reset | ( |  | ) | `[inline]`

## Member Data Documentation

const VariableStore* AutoVariableStoreReset::_oldVarStore `[protected]`

DynamicContext* AutoVariableStoreReset::context_ `[protected]`

The documentation for this class was generated from the following file:

- ContextHelpers.hpp